GCLOUD_DEBUG_LOGPOINTS_DELETE(1)

NAME

gcloud debug logpoints delete - delete debug logpoints

SYNOPSIS

gcloud debug logpoints delete [ID ...] [--all-users] [--include-inactive] [--location=LOCATION-REGEXP] [--target=(ID|DESCRIPTION_REGEXP)] [GLOBAL-FLAG ...]

DESCRIPTION
This command deletes logpoints from a Cloud Debugger debug target. It will ask for confirmation before deleting any logpoints. To suppress confirmation, use the global --quiet option.

POSITIONAL ARGUMENTS

    [ID ...]
        Zero or more logpoint resource identifiers. The specified logpoints will be deleted.

FLAGS

    --all-users
        If set, any location regexp will match logpoints from all users, rather than only logpoints created by the current user. This flag is not required when specifying the exact ID of a logpoint created by another user.

    --include-inactive
        If set, any location regexp will also match inactive logpoints, rather than only logpoints which have not expired. This flag is not required when specifying the exact ID of an inactive logpoint.

    --location=LOCATION-REGEXP
        A regular expression to match against logpoint locations. All logpoints matching this value will be deleted. You may specify --location multiple times. EXAMPLE:
        gcloud debug logpoints delete \
            --location foo.py:[1-3] --location bar.py:4

    --target=(ID|DESCRIPTION_REGEXP)
        The debug target. It may be a target ID or name obtained from 'debug targets list', or it may be a regular expression uniquely specifying a debuggee based on its description or name. For App Engine projects, if not specified, the default target is the most recent deployment of the default module and version.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.